# Class RuntimePermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.lang.RuntimePermission

All Implemented Interfaces:
  `Serializable`, `Guard`

public final class RuntimePermission extends BasicPermission
This class is for runtime permissions. A `RuntimePermission` contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

The target name is the name of the runtime permission. The naming convention follows the hierarchical property naming convention, typically the reverse domain name notation, to avoid name clashes. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match. For example: "loadLibrary.*" and "*" signify a wildcard match, while "*loadLibrary" and "a*b" do not.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Since:
  1.2
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RuntimePermission(String name)`
Creates a new RuntimePermission with the specified name.
`RuntimePermission(String name, String actions)`
Creates a new RuntimePermission object with the specified name.

## Method Summary

### Methods declared in class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class java.security.Permission

`checkGuard, getName, toString`

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RuntimePermission

public RuntimePermission(String name)
Creates a new RuntimePermission with the specified name. The name is the symbolic name of the RuntimePermission, such as "exit", "setFactory", etc. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match.

Parameters:
  `name` - the name of the RuntimePermission.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.

### RuntimePermission

public RuntimePermission(String name, String actions)
Creates a new RuntimePermission object with the specified name. The name is the symbolic name of the RuntimePermission, and the actions String is currently unused and should be null.

Parameters:
  `name` - the name of the RuntimePermission.
  `actions` - should be null.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.